Subject: bug#41570: 26.3; dired chown

From: Eli Zaretskii <[email-masked]>
Date: Fri, 04 Sep 2020 09:58:15 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Thu, 3 Sep 2020 20:38:23 +0000
> Cc: "A. Peter Blicher" <[email-masked]>, [email-masked]
> 
> > AFAIU, 'takeown' is different from 'chown', in that it only allows to
> > change the file's owner to either the current user or the
> > Administrators group, it doesn't allow you to change the ownership to
> > any other user except one of those two.  Also, I think the command
> > requires elevation, doesn't it (thus you mention "admin privileges")?
> >
> > So I'm not sure that command is a good replacement for 'chown', but
> > maybe you have something in mind I'm missing?
> 
> The proposal here was to change chown for takeown in Dired.  From the
> discussion, it seems like this is not a technically good solution.
> 
> Is there anything more to do here, or could this bug report be closed?

IMO, it should be closed.  Users who want the chown capability on
Windows will have to find a utility that is a more faithful emulation
of its Posix namesake.